<?php

foreach($macAddresses as $nom => $mac)
{
	$presence[$nom] = false;
}

function presence($argList)
{
	global $presence;

	if(array_key_exists("nom", $argList))
	{
		$name = $argList["nom"];
	}else
	{
		return _("Le paramètre 'nom' est obligatoire<br>present&nom=<nom>&presence=<true/false>") . EOLH;
	}
	if(array_key_exists("presence", $argList))
	{
		$key = $argList["presence"];
	}else
	{
		return _("Le paramètre 'presence' est obligatoire<br>present&nom=<nom>&presence=<true/false>") . EOLH;
	}
	var_dump($presence);
	if (!array_key_exists($name, $presence))
	{
		return sprintf(_("Ce nom (%s) n'existe pas dans la base."), $name) . EOLH;
	}
	$key = strval($key);
	if ($key == 1)
	{
		echo "passed";
		if ($presence[$name] == false)
		{
			logger(ALERT, $name . _(" est présent"), __FILE__ . ":" . __LINE__);
			//echo $name . " est présent";
			$presence[$name] = true;
		}
	}elseif ($presence[$name] == true and $key == "0")
	{
		$presence[$name] = false;
		logger(ALERT, $name . _(" est présent"), __FILE__ . ":" . __LINE__);
	}
	return _("demande prise en compte");
}


function isPresent($name = false, $returnNames = false)
{
	global $presence;

	$r = false;
	$liste = "";

	if ($name === false)
	{
		foreach($presence as $name => $value)
		{
			if ($value === true)
			{
				$r &= true;
				$liste .= $name . EOLH;
			}
		}
	}elseif (array_key_exists($name, $presence))
	{
		$r = $presence[$name];
	}else
	{
		return -1;
	}

	if ($returnNames and !empty($liste))
	{
		return $liste;
	}else
	{
		return $r;
	}
}
?>
